# The COPYRIGHT file at the top level of this repository contains
# the full copyright notices and license terms.
from trytond.pool import Pool
from .edocument import Message
from .stock import (Configuration, ConfigurationSequence,
    ConfigurationEDIOutputPath, UnitLoad)
from .party import PartyIdentifier, Address
from .product import Template
from .incoterm import Rule


def register():
    Pool.register(
        Message,
        PartyIdentifier,
        Configuration,
        ConfigurationSequence,
        ConfigurationEDIOutputPath,
        Rule,
        Template,
        Address,
        UnitLoad,
        module='edocument_edifact', type_='model')
