# The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.model import ModelSQL, ModelView, fields
from trytond.pool import Pool

__all__ = ['Message']


class Message(ModelView, ModelSQL):
    """EDIFACT message"""
    __name__ = 'edocument.message'
    _rec_name = 'code'

    code = fields.Char('Code')
    message = fields.Text('Message')
    sequence = fields.Many2One('ir.sequence', 'Sequence')

    @classmethod
    def create(cls, vlist):
        pool = Pool()
        Configuration = pool.get('stock.configuration')
        Sequence = Pool().get('ir.sequence')
        config = Configuration(1)

        vlist = [x.copy() for x in vlist]
        for values in vlist:
            if config.edocument_sequence:
                values['code'] = Sequence.get_id(config.edocument_sequence.id)
        return super(Message, cls).create(vlist)
