# The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.pool import PoolMeta
from trytond.model import fields

__all__ = ['PartyIdentifier', 'Address']


class PartyIdentifier:
    __metaclass__ = PoolMeta
    __name__ = 'party.identifier'

    @classmethod
    def __setup__(cls):
        super(PartyIdentifier, cls).__setup__()
        cls.type.selection.extend(
            [('EDI_sender', 'EDI Sender'),
            ('EDI_receiver', 'EDI Receiver'),
            ('EDI_supplier', 'EDI Supplier'),
            ('EDI_buyer', 'EDI Buyer')])


class Address:
    __metaclass__ = PoolMeta
    __name__ = 'party.address'

    EDI_code = fields.Char('EDI Code')
